/*
 * Copyright 2019 (c) R. Tyler Croy <rtyler@brokenco.de>
 *
 * This module contains the database interaction code necessary for storing
 * checkpoints in our local SQLite database
 */

extern crate diesel;
extern crate dotenv;

use diesel::prelude::*;
use diesel::sqlite::SqliteConnection;
use dotenv::dotenv;
use std::env;

pub fn establish_connection() -> SqliteConnection {
    dotenv().ok();

    let database_url = env::var("DATABASE_URL")
        .expect("DATABASE_URL must be set");
    SqliteConnection::establish(&database_url)
        .expect(&format!("Error connecting to {}", database_url))
}
